import { BaseMock } from './base-mock';
/**
 * DynamoDB Mock class
 */
export declare class DynamoDBMock extends BaseMock {
    /**
     * Mocks an AWS.DynamoDB.DocumentClient.DeleteItemOutput response
     */
    DeleteItemOutput: AWS.DynamoDB.DocumentClient.DeleteItemOutput;
    /**
     * Mocks an AWS.DynamoDB.DocumentClient.GetItemOutput response
     */
    GetItemOutput: AWS.DynamoDB.DocumentClient.GetItemOutput;
    /**
     * Mocks an AWS.DynamoDB.DocumentClient.PutItemOutput response
     */
    PutItemOutput: AWS.DynamoDB.DocumentClient.PutItemOutput;
    /**
     * Mocks an AWS.DynamoDB.DocumentClient.ScanOutput response
     */
    ScanOutput: AWS.DynamoDB.DocumentClient.ScanOutput;
    /**
     * Mocks an AWS.DynamoDB.DocumentClient.UpdateItemOutput response
     */
    UpdateItemOutput: AWS.DynamoDB.DocumentClient.UpdateItemOutput;
    /**
     * Create the DynamoDB mock
     */
    protected CreateMock(returnError: boolean): any;
}
