import { BaseMock } from './base-mock';
/**
 * Lambda Mock class
 */
export declare class LambdaMock extends BaseMock {
    /**
     * Mocks an AWS.Lambda.EventSourceMappingConfiguration response
     */
    EventSourceMappingConfiguration: AWS.Lambda.EventSourceMappingConfiguration;
    /**
     * Mocks an AWS.Lambda.InvocationResponse response
     */
    InvocationResponse: AWS.Lambda.InvocationResponse;
    /**
     * Mocks an AWS.Lambda.InvokeAsyncResponse response
     */
    InvokeAsyncResponse: AWS.Lambda.InvokeAsyncResponse;
    /**
     * Mocks an AWS.Lambda.ListEventSourceMappingsResponse response
     */
    ListEventSourceMappingsResponse: AWS.Lambda.ListEventSourceMappingsResponse;
    /**
     * Create the Lambda mock
     */
    protected CreateMock(returnError: boolean): any;
}
