import { BaseMock } from './base-mock';
/**
 * SSM Mock class
 */
export declare class SSMMock extends BaseMock {
    /**
     * Mocks an AWS.SSM.CancelCommandResult response
     */
    CancelCommandResult: AWS.SSM.CancelCommandResult;
    /**
     * Mocks an AWS.SSM.DeleteParameterResult response
     */
    DeleteParameterResult: AWS.SSM.DeleteParameterResult;
    /**
     * Mocks an AWS.SSM.GetParameterResult response
     */
    GetParameterResult: AWS.SSM.GetParameterResult;
    /**
     * Mocks an AWS.SSM.GetParametersByPathResult response
     */
    GetParametersByPathResult: AWS.SSM.GetParametersByPathResult;
    /**
     * Mocks an AWS.SSM.PutParameterResult response
     */
    PutParameterResult: AWS.SSM.PutParameterResult;
    /**
     * Mocks an AWS.SSM.SendCommandResult response
     */
    SendCommandResult: AWS.SSM.SendCommandResult;
    /**
     * Create the SSM mock
     */
    protected CreateMock(returnError: boolean): any;
}
