export declare abstract class BaseMock {
    /**
     * Gets the mock functions
     */
    readonly Mock: any;
    /**
     * Mock functions
     */
    private MockFunctions;
    /**
     * Initializes a new instance of Mock
     */
    constructor(returnError: boolean);
    /**
     * Function to create the mock objects
     */
    protected abstract CreateMock(returnError: boolean): any;
}
