"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class TestValuesClass {
    constructor() {
        // descriptions
        this.AWSError = 'AWS Error';
        this.InvalidTest = 'returns error from AWS';
        this.MustSupply = 'Must supply';
        this.ThrowsOnEmpty = 'throws on empty';
        this.ThrowsOnTooMany = 'throws on too many';
        this.ValidTest = 'returns valid response from AWS';
        // empty values
        this.EmptyArray = [];
        this.EmptyObject = {};
        this.EmptyString = '';
        // strings
        this.Arn = 'arn';
        this.Body = 'body';
        this.Description = 'description';
        this.EmailAddress = 'email-address';
        this.Expression = 'expression';
        this.Id = 'id';
        this.Key = 'key';
        this.Name = 'name';
        this.Namespace = 'namespace';
        this.Path = 'path';
        this.ReceiptHandle = 'receipt-handle';
        this.StringValue = 'value';
        this.Subject = 'string';
        this.Type = 'type';
        this.Url = 'url';
        this.UsagePlanId = 'usage-plan-id';
        this.Uuid = 'uuid';
        // numbers
        this.NumberValue = 1;
        // booleans
        this.BooleanValue = true;
        // objects
        this.ApiStageArray = [{ apiId: this.StringValue }];
        this.Entries = [{ Id: this.StringValue, MessageBody: this.Body }];
        this.ExpressionAttributeNameMap = { Key: this.Key };
        this.ExpressionAttributeValueMap = { Key: this.Key };
        this.Item = { Key: this.StringValue };
        this.MetricDatum = [{ MetricName: this.Name }];
        this.Parameters = { Parameter: [this.StringValue] };
    }
}
exports.TestValuesClass = TestValuesClass;
//# sourceMappingURL=test-values.js.map